@ECHO OFF
CLS
REM   *** UPGRADING FROM FBB 5.15c TO FBB 7.00b
ECHO.
REM ========================================================================
REM =                                                                      =
REM = Default directories.  Make these to suit your needs..!               =
REM =                                                                      =
REM ========================================================================
REM
SET     disk=A:
SET      doc=C:\FBB\DOC
SET     docs=C:\FBB\DOCS
SET      fbb=C:\FBB
SET   system=C:\FBB\SYSTEM
SET     mail=C:\FBB\MAIL
SET  binmail=C:\FBB\BINMAIL
SET    users=C:\FBB\USERS
SET     yapp=C:\FBB\USERS\YAPP
SET  oldmail=C:\FBB\OLDMAIL
SET    stats=C:\FBB\STATS
SET      fwd=C:\FBB\SYSTEM\FWD
SET      bin=C:\FBB\BIN
SET examples=C:\FBB\EXAMPLES.700
SET     util=C:\FBB\UTIL
REM
REM ========================================================================
REM
ECHO *** UPGRADING FROM FBB 5.15c TO FBB 7.00b
ECHO.
ECHO It is assumed that 5.15c already is installed like this:
ECHO - Main BBS-directory               %fbb%
ECHO - Directory for COM/EXE/BAT-files  %bin%
ECHO - System-files in                  %system%
ECHO - FBB-manuals                      %doc%
ECHO - Statistics                       %stats%
ECHO.
ECHO  It is assumed that you install from disk %disk%.
ECHO.
ECHO.
ECHO   If this is not correct, you must stop now by pressing CTRL-C, and
ECHO   modify the SET-lines in SUITE2.BAT
PAUSE
ECHO.
CLS
ECHO                *** UPGRADING SOFTWARE.... ****
ECHO.
ECHO.
ECHO You will now make a backup copy of some of the old files that will be
ECHO over-written by new files from this installation, and also a copy
ECHO of some example-files for version 7.00b.
ECHO.
PAUSE
C:
CD \
MD \FBBTEMP
MD \FBB_OLD
MD %examples%
MD %util%
COPY %disk%PKUNZJR.COM
VERIFY ON
ECHO.
ECHO Backup important files...
ECHO.
CD %fbb%
COPY *.* \FBB_OLD
CD %bin%
COPY *.* \FBB_OLD
CD %system%
COPY *.SYS \FBB_OLD
CD %system%\LANG
COPY *.* \FBB_OLD
CD %system%\SAT
COPY *.* \FBB_OLD
CD %doc%
COPY *.* \FBB_OLD
CD %stats%
copy *.* \FBB_OLD

rem Unpack all files..

ECHO Copy new files...
ECHO.
CD \FBBTEMP


\PKUNZJR %disk%FBB700.ZIP
COPY INIT.SRV %fbb%\INIT.SRV
COPY INIT.SRV %examples%
DEL INIT.SRV
IF NOT EXIST %fbb%\EPURMESS.INI copy EPURMESS.INI %fbb%
COPY EPURMESS.INI %examples%
DEL EPURMESS.INI
COPY DEFAULT.* %fbb%
COPY DEFAULT.* %examples%
DEL DEFAULT.*
COPY FBBSETUP.EXE %fbb%
DEL FBBSETUP.EXE
COPY MODLABEL.EXE %fbb%
DEL MODLABEL.EXE
COPY README.1ST %fbb%
DEL README.1ST


\PKUNZJR %disk%BIN700_2.ZIP
COPY SERV.EXE %bin%
DEL SERV.EXE


\PKUNZJR %disk%STAT700.ZIP
COPY LISEZMOI.DOC %stats%
COPY LISEZMOI.DOC %examples%
DEL LISEZMOI.DOC
COPY LOG.DOC %stats%
COPY LOG.DOC %examples%
DEL LOG.DOC
COPY LOGCALL.EXE %stats%
DEL LOGCALL.EXE
COPY LOGFBB.CNF %stats%
COPY LOGFBB.CNF %examples%
DEL LOGFBB.CNF
COPY LOGSTATF.EXE %stats%
DEL LOGSTATF.EXE
COPY LOGSTATU.EXE %stats%
DEL LOGSTATU.EXE


\PKUNZJR %disk%SYS700.ZIP
IF NOT EXIST %system%\BBS.SYS copy BBS.SYS %system%
COPY BBS.SYS %examples%
DEL BBS.SYS
IF NOT EXIST %system%\BEACON1.SYS copy BEACON1.SYS %system%
COPY BEACON1.SYS %examples%
DEL BEACON1.SYS
IF NOT EXIST %system%\CRON.SYS copy CRON.SYS %system%
COPY CRON.SYS %examples%
DEL CRON.SYS
IF NOT EXIST %system%\FORWARD.SYS copy FORWARD.SYS %system%
COPY FORWARD.SYS %examples%
DEL FORWARD.SYS
IF NOT EXIST %system%\INITTNC1.SYS copy INITTNC1.SYS %system%
COPY INITTNC1.SYS %examples%
DEL INITTNC1.SYS
IF NOT EXIST %system%\INITTNC.DED copy INITTNC.DED %system%
COPY INITTNC.DED %examples%
DEL INITTNC.DED
IF NOT EXIST %system%\INITTNC.PK copy INITTNC.PK %system%
COPY INITTNC.PK %examples%
DEL INITTNC.PK
IF NOT EXIST %system%\LANGUE.SYS copy LANGUE.SYS %system%
COPY LANGUE.SYS %examples%
DEL LANGUE.SYS
IF NOT EXIST %system%\MAINT1.SYS copy MAINT1.SYS %system%
COPY MAINT1.SYS %examples%
DEL MAINT1.SYS
IF NOT EXIST %system%\MEMO.SYS copy MEMO.SYS %system%
COPY MEMO.SYS %examples%
DEL MEMO.SYS
IF NOT EXIST %system%\PASSWD.SYS copy PASSWD.SYS %system%
COPY PASSWD.SYS %examples%
DEL PASSWD.SYS
IF NOT EXIST %system%\PORT.SYS copy PORT.SYS %system%
COPY PORT.SYS %examples%
DEL PORT.SYS
IF NOT EXIST %system%\PROTECT.SYS copy PROTECT.SYS %system%
COPY PROTECT.SYS %examples%
DEL PROTECT.SYS
IF NOT EXIST %system%\REJECT.SYS copy REJECT.SYS %system%
COPY REJECT.SYS %examples%
DEL REJECT.SYS
IF NOT EXIST %system%\SWAPP.SYS copy SWAPP.SYS %system%
COPY SWAPP.SYS %examples%
DEL SWAPP.SYS
IF NOT EXIST %system%\THEMES.SYS copy THEMES.SYS %system%
COPY THEMES.SYS %examples%
DEL THEMES.SYS
IF NOT EXIST %system%\MULTI.TXT copy MULTI.TXT %system%
COPY MULTI.TXT %examples%
DEL MULTI.TXT
IF NOT EXIST %system%\REDIST.SYS copy REDIST.SYS %system%
COPY REDIST.SYS %examples%
DEL REDIST.SYS


\PKUNZJR %disk%FWD700.ZIP
IF NOT EXIST %fwd%\LA1B copy LA1B %fwd%
COPY LA1B %examples%
DEL LA1B
IF NOT EXIST %fwd%\F6ABJ copy F6ABJ %fwd%
COPY F6ABJ %examples%
DEL F6ABJ
IF NOT EXIST %fwd%\AMSAT copy AMSAT %fwd%
COPY AMSAT %examples%
DEL AMSAT


\PKUNZJR %disk%DOC700.ZIP
COPY MULTI.DOC %doc%
COPY MULTI.DOC %examples%
DEL MULTI.DOC
COPY CHANGES.DOC %doc%
COPY CHANGES.DOC %examples%
DEL CHANGES.DOC
COPY WA8DED21.DOC %doc%
COPY WA8DED21.DOC %examples%
DEL WA8DED21.DOC
COPY FBB700.DOC %doc%
COPY FBB700.DOC %examples%
DEL FBB700.DOC
COPY FBBMUX.DOC %doc%
COPY FBBMUX.DOC %examples%
DEL FBBMUX.DOC
COPY FV.DOC %doc%
COPY FV.DOC %examples%
DEL FV.DOC
COPY SATUPDAT.DOC %doc%
COPY SATUPDAT.DOC %examples%
DEL SATUPDAT.DOC


\PKUNZJR %disk%BIN700_1.ZIP
IF NOT EXIST %bin%\APPEL.BAT copy APPEL.BAT %bin%
COPY APPEL.BAT %examples%
DEL APPEL.BAT
COPY CLEANUP.COM %bin%
DEL CLEANUP.COM
COPY CUT.COM %bin%
DEL CUT.COM
COPY CLR_USER.COM %bin%
DEL CLR_USER.COM
COPY EPURMESS.COM %bin%
DEL EPURMESS.COM
COPY ESS.108 %bin%
DEL ESS.108
COPY ESS.COM %bin%
DEL ESS.COM
COPY FBBIOS.COM %bin%
DEL FBBIOS.COM
COPY FV.COM %bin%
DEL FV.COM
COPY RTM.EXE %bin%
DEL RTM.EXE
COPY ESSKAM.COM %bin%
DEL ESSKAM.COM
COPY EPURWP.COM %bin%
DEL EPURWP.COM
COPY ISDAY.COM %bin%
DEL ISDAY.COM
COPY MULTI.EXE %bin%
DEL MULTI.EXE
COPY NEWDOC.COM %bin%
DEL NEWDOC.COM
COPY REQDIR.COM %bin%
DEL REQDIR.COM
COPY REQFIL.COM %bin%
DEL REQFIL.COM
COPY SATUPDAT.EXE %bin%
DEL SATUPDAT.EXE
COPY SETUSER.COM %bin%
DEL SETUSER.COM
COPY SLEEP.COM %bin%
DEL SLEEP.COM
COPY MAINTINF.COM %bin%
DEL MAINTINF.COM
COPY DPMI16BI.OVL %bin%
DEL DPMI16BI.OVL


\PKUNZJR %disk%SAT700.ZIP
IF NOT EXIST %system%\SAT\SATEL.DAT copy SATEL.DAT %system%\SAT
COPY SATEL.DAT %examples%
DEL SATEL.DAT
COPY *.SAT %system%\SAT
COPY *.SAT %examples%
DEL *.SAT


\PKUNZJR %disk%FIRMWARE.ZIP
COPY *.ROM %fbb%
DEL *.ROM
COPY TFPK27.ZIP %fbb%
DEL TFPK27.ZIP
COPY TF27AB.ZIP %fbb%
DEL TF27AB.ZIP
COPY TF27_CMD.ENG %fbb%
DEL TF27_CMD.ENG

\PKUNZJR %disk%LANG700.ZIP

REM HLP-files:
copy ENGLISH.HLP %system%\LANG
COPY ENGLISH.HLP %examples%
DEL ENGLISH.HLP
copy FRANCAIS.HLP %system%\LANG
COPY FRANCAIS.HLP %examples%
DEL FRANCAIS.HLP
copy NORSK.HLP %system%\LANG
COPY NORSK.HLP %examples%
DEL NORSK.HLP
copy NORSK8.HLP %system%\LANG
COPY NORSK8.HLP %examples%
DEL NORSK8.HLP
copy CATALA.HLP %system%\LANG
COPY CATALA.HLP %examples%
DEL CATALA.HLP
copy DANSK.HLP %system%\LANG
COPY DANSK.HLP %examples%
DEL DANSK.HLP
copy DEUTSCH.HLP %system%\LANG
COPY DEUTSCH.HLP %examples%
DEL DEUTSCH.HLP
copy ESPAGNOL.HLP %system%\LANG
COPY ESPAGNOL.HLP %examples%
DEL ESPAGNOL.HLP
copy HRVATSKI.HLP %system%\LANG
COPY HRVATSKI.HLP %examples%
DEL HRVATSKI.HLP
copy ITALIANO.HLP %system%\LANG
COPY ITALIANO.HLP %examples%
DEL ITALIANO.HLP
copy NEDERLAN.HLP %system%\LANG
COPY NEDERLAN.HLP %examples%
DEL NEDERLAN.HLP
copy PORTUGUE.HLP %system%\LANG
COPY PORTUGUE.HLP %examples%
DEL PORTUGUE.HLP
copy SVENSKA.HLP %system%\LANG
COPY SVENSKA.HLP %examples%
DEL SVENSKA.HLP

REM TXT-files:
copy ENGLISH.TXT %system%\LANG
COPY ENGLISH.TXT %examples%
DEL ENGLISH.TXT
copy FRANCAIS.TXT %system%\LANG
COPY FRANCAIS.TXT %examples%
DEL FRANCAIS.TXT
copy NORSK.TXT %system%\LANG
COPY NORSK.TXT %examples%
DEL NORSK.TXT
copy NORSK8.TXT %system%\LANG
COPY NORSK8.TXT %examples%
DEL NORSK8.TXT
copy CATALA.TXT %system%\LANG
COPY CATALA.TXT %examples%
DEL CATALA.TXT
copy DANSK.TXT %system%\LANG
COPY DANSK.TXT %examples%
DEL DANSK.TXT
copy DEUTSCH.TXT %system%\LANG
COPY DEUTSCH.TXT %examples%
DEL DEUTSCH.TXT
copy ESPAGNOL.TXT %system%\LANG
COPY ESPAGNOL.TXT %examples%
DEL ESPAGNOL.TXT
copy HRVATSKI.TXT %system%\LANG
COPY HRVATSKI.TXT %examples%
DEL HRVATSKI.TXT
copy ITALIANO.TXT %system%\LANG
COPY ITALIANO.TXT %examples%
DEL ITALIANO.TXT
copy NEDERLAN.TXT %system%\LANG
COPY NEDERLAN.TXT %examples%
DEL NEDERLAN.TXT
copy PORTUGUE.TXT %system%\LANG
COPY PORTUGUE.TXT %examples%
DEL PORTUGUE.TXT
copy SVENSKA.TXT %system%\LANG
COPY SVENSKA.TXT %examples%
DEL SVENSKA.TXT

IF NOT EXIST %system%\LANG\MODEM.ENT copy MODEM.ENT %system%\LANG
COPY MODEM.ENT %examples%
DEL MODEM.ENT


\PKUNZJR %disk%UTIL700.ZIP
COPY ICOM.COM %util%
DEL ICOM.COM
COPY ICOM.DLL %util%
DEL ICOM.DLL
COPY M_FILTER.DLL %util%
DEL M_FILTER.DLL
COPY PROGTX.DLL %util%
DEL PROGTX.DLL
COPY C_FILTER.DLL %util%
DEL C_FILTER.DLL
COPY CON_FILT.PSW %util%
DEL CON_FILT.PSW
COPY CON_FILT.TXT %util%
DEL CON_FILT.TXT
COPY F_FILTER.DLL %util%
DEL F_FILTER.DLL
COPY F_FILTER.TXT %util%
DEL F_FILTER.TXT

C:
CD \
RD FBBTEMP

rem MODIFY YAPPLBL.SYS to YAPPLBL.DAT

IF EXIST %system%\YAPPLBL.SYS %fbb%\MODLABEL.EXE
IF EXIST %system%\YAPPLBL.SYS DEL %system%\YAPPLBL.SYS

rem
ECHO        Remove diskette no 1 and insert no 2.
PAUSE
rem

MD %system%\LANG\MORE
COPY a:LANG700X.EXE %system%\LANG\MORE
cd %system%\LANG\MORE
LANG700X.EXE
DEL LANG700X.EXE

COPY a:LANG700X.EXE %examples%
cd %examples%
LANG700X.EXE
DEL LANG700X.EXE

ECHO Automatic configuration of INIT.SRV and PORT.SYS.  There is a new program
ECHO called FBBSETUP with the software.  This program helps you configure 
ECHO INIT.SRV and PORT.SYS to suit your own needs.  This program will be run 
ECHO now. 
ECHO.
ECHO FBBSETUP can be restarted from %fbb%-directory at any time later.
ECHO.
ECHO.
ECHO.
PAUSE

rem RUN THE CONFIGURATION-PROGRAM IN FBB DIRECTORY

cd %fbb%
FBBSETUP

CLS
ECHO Old files are now in \FBB_OLD directory.
ECHO NOTE:  Existing language-files will have been over-written by the
ECHO        updated languages from this distribution.  However, your old
ECHO        files are still in FBB_OLD directory, if you want to modify
ECHO        them and use them instead.
ECHO Extra copy of all example-files are in %examples% directory.
ECHO.
ECHO Installation is complete.
ECHO.
ECHO Modify APPEL.BAT in %bin%-directory, if needed.
ECHO Compare with the new example-file APPEL.BAT in %examples%.
ECHO Update PORT.SYS in %system%-directory, check with the example-file
ECHO in %examples%-directory.  Modify LANGUE.SYS in %system%-directory.  
ECHO Also all *.TXT and *.HLP-files that has not been replaced by new ones now.
ECHO.
ECHO You may find some extra language-files in SYSTEM\LANG\MORE directory.
ECHO If you do find such files you may copy the languages you want, to 
ECHO %system%\LANG directory.  After that you may need to add the new 
ECHO languages in %system%\LANGUE.SYS.
ECHO.
